stages:
  - unit-tests
  - deploy
  - e2e-tests

Unit tests:
  image: node:12
  stage: unit-tests
  script:
    - npm ci
    - npm run test:unit
  only:
    - main

pages:
  image: node:12
  stage: deploy
  script:
    - npm ci
    - npm run build
    - mv public public-vue
    - mv dist public
  artifacts:
    paths:
      - public
  only:
    - main

E2e tests - Cypress:
  image: cypress/browsers:node12.14.1-chrome85-ff81
  stage: e2e-tests
  artifacts:
    when: always
    paths:
      - tests/e2e/videos/**/*.mp4
      - tests/e2e/screenshots/**/*.png
    expire_in: 1 day
  script:
    - npm ci
    - npx cypress run --browser chrome
  only:
    - main
